.App {
  text-align: center;
}

#product-list {
  text-align: center;
  padding-left: 300px;
}

button {
  margin: 10px;
}

#product-list .product {
  margin: 20px;
  display: block;
}

.container {
  display: block;
  margin: 0 auto;
  max-width: 1000px;
}

#product-fliter {
  margin: 50px;
}

#product-add-form {
  margin: 50px;
}

#product-add-form>input {
  margin-right: 20px;
}

.red {
  width: 20px;
  height: 20px;
  background-color: red;
  border-radius: 20px;
  margin-left: 2px;
}

p {
  margin: 10px;
  float: left;
  width: 80%;
}

span {
  float: left;
  margin: 10px;
}

ul {
  list-style: none;
}

.green {
  width: 20px;
  height: 20px;
  background-color: green;
  border-radius: 20px;
  margin-left: 2px;
}

.black {
  width: 20px;
  height: 20px;
  background-color: black;
  border-radius: 20px;
  margin-left: 2px;
}

.newinput {
  border: 1px solid black !important;
  margin: 10px 0 !important;
}

.children-list .child {
  margin: 0 auto;
  text-align: center;
  justify-content: center;
}

.newbutton {
  padding: 0 !important;
  margin: 0 10px !important;
}

.deletegroup {
  width: 48%;
  float: left;
}

.addchild {
  width: 48%;
  float: left;
  margin-left: 20px;
}